Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032137
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2016-02-04 18:282016-02-29 09:03
ReporterdbazView Statuspublic 
Assigned Toaaroncalero 
PrioritynormalResolutionfixedFixed in VersionRR16Q2
StatusclosedFix in branchFixed in SCM revisionc0d24d3b1d1e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todbaz
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032137: [UX] Undesired global scrolls when popups are shown in portrait mode

DescriptionUndesired global scrolls when popups are shown in portrait mode.

See attached "ScrollPortraitPopup_wrong.png".
Steps To ReproduceFollow this guide to set the 393x700 resolution in the browser:

http://wiki.openbravo.com/wiki/Retail:Developers_Guide/How-to/How_to_test_screen_resolutions [^]

Open any popup.

Note: not following the guide and use Chrome Developer Tools to change the screen resolution will cause that the issue could not be reproduced ("ScrollPortraitPopup_false_ok.png") since the touch screen emulation removes, among other things, the global scrolls, which are actually the issue itself.
Proposed SolutionIt should look like "ScrollPortraitPopup_ok.png".

Change this line:
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/file/dd6b8ce938c7/web/org.openbravo.mobile.core/assets/css/ob-standard.css#l160 [^]

with this one:
  width: calc(100% - 24px);
TagsNo tags attached.
Attached Filespng file icon ScrollPortraitPopup_wrong.png [^] (24,172 bytes) 2016-02-04 18:28


png file icon ScrollPortraitPopup_false_ok.png [^] (43,705 bytes) 2016-02-04 18:28


png file icon ScrollPortraitPopup_ok.png [^] (24,565 bytes) 2016-02-04 18:28


diff file icon FixIssue32137.diff [^] (741 bytes) 2016-02-05 15:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0083978)
aaroncalero (developer)
2016-02-05 15:02

Attached possible solution
(0084008)
hgbot (developer)
2016-02-08 16:50

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: e8bdb14a9320c47f41a6236517117d298034a610
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Mon Feb 08 09:24:47 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/e8bdb14a9320c47f41a6236517117d298034a610 [^]

Related to issue 32137: Fixed typo in css class definition

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0084009)
hgbot (developer)
2016-02-08 16:50

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c0d24d3b1d1ede5ef1f323a48552bdfd5f1be319
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Mon Feb 08 09:26:11 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c0d24d3b1d1ede5ef1f323a48552bdfd5f1be319 [^]

Fixed issue 32137: [UX] Undesired global scrolls when popups are shown in portrait mode

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0084556)
dmitry_mezentsev (developer)
2016-02-26 10:06

Not closed for 18 days!
(0084581)
dbaz (developer)
2016-02-29 09:03

Reviewed @ changeset: 1936 - 4556c6a80aeb

- Issue History
Date Modified Username Field Change
2016-02-04 18:28 dbaz New Issue
2016-02-04 18:28 dbaz Assigned To => Retail
2016-02-04 18:28 dbaz File Added: ScrollPortraitPopup_wrong.png
2016-02-04 18:28 dbaz Triggers an Emergency Pack => No
2016-02-04 18:28 dbaz File Added: ScrollPortraitPopup_false_ok.png
2016-02-04 18:28 dbaz File Added: ScrollPortraitPopup_ok.png
2016-02-05 15:01 aaroncalero File Added: FixIssue32137.diff
2016-02-05 15:02 aaroncalero Note Added: 0083978
2016-02-08 09:22 aaroncalero Status new => scheduled
2016-02-08 09:22 aaroncalero Assigned To Retail => aaroncalero
2016-02-08 16:50 hgbot Checkin
2016-02-08 16:50 hgbot Note Added: 0084008
2016-02-08 16:50 hgbot Checkin
2016-02-08 16:50 hgbot Note Added: 0084009
2016-02-08 16:50 hgbot Status scheduled => resolved
2016-02-08 16:50 hgbot Resolution open => fixed
2016-02-08 16:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c0d24d3b1d1ede5ef1f323a48552bdfd5f1be319 [^]
2016-02-26 08:46 aaroncalero Review Assigned To => dbaz
2016-02-26 10:06 dmitry_mezentsev Note Added: 0084556
2016-02-29 09:03 dbaz Note Added: 0084581
2016-02-29 09:03 dbaz Status resolved => closed
2016-02-29 09:03 dbaz Fixed in Version => RR16Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker